"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.tableModel = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeRenderHtml = require("react-native-render-html");

var _useHtmlTableProps = _interopRequireDefault(require("./useHtmlTableProps"));

var _HTMLTable = require("./HTMLTable");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * The renderer component for the table element. This renderer is fully
 * scalable, and will adjust to `contentWidth` and `computeEmbeddedMaxWidth`.
 * It also features `onLinkPress`.
 *
 * @public
 */
const TableRenderer = function TableRenderer(props) {
  const tableProps = (0, _useHtmlTableProps.default)(props);
  return /*#__PURE__*/_react.default.createElement(_HTMLTable.HTMLTable, tableProps);
};
/**
 * The model to attach to custom table renderers.
 *
 * @public
 */


const tableModel = _reactNativeRenderHtml.defaultHTMLElementModels.table.extend({
  contentModel: _reactNativeRenderHtml.HTMLContentModel.block,
  isOpaque: true
});

exports.tableModel = tableModel;
var _default = TableRenderer;
exports.default = _default;
//# sourceMappingURL=TableRenderer.js.map