"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = extractHtmlAndStatsFromTableDomNode;

var _reactNativeRenderHtml = require("react-native-render-html");

var _transientRenderEngine = require("@native-html/transient-render-engine");

function extractHtmlAndStatsFromTableDomNode(domNode) {
  let stats = {
    numOfChars: 0,
    numOfColumns: 0,
    numOfRows: 0
  };
  const innerHTML = (0, _reactNativeRenderHtml.domNodeToHTMLString)(domNode, (node, _depth, html) => {
    if ((0, _transientRenderEngine.isDomElement)(node)) {
      if (node.tagName === 'tr') {
        stats.numOfRows += 1;
      } else if ((node.tagName === 'td' || node.tagName === 'th') && stats.numOfRows === 0) {
        stats.numOfColumns += 1;
      }
    } else if ((0, _transientRenderEngine.isDomText)(node)) {
      stats.numOfChars += html.length;
    }
  });
  return {
    html: innerHTML,
    stats
  };
}
//# sourceMappingURL=extractHtmlAndStatsFromTableDomNode.js.map