import { CustomBlockRenderer, HTMLContentModel } from 'react-native-render-html';
import { HTMLElementModel } from '@native-html/transient-render-engine';
/**
 * The renderer component for the table element. This renderer is fully
 * scalable, and will adjust to `contentWidth` and `computeEmbeddedMaxWidth`.
 * It also features `onLinkPress`.
 *
 * @public
 */
declare const TableRenderer: CustomBlockRenderer;
/**
 * The model to attach to custom table renderers.
 *
 * @public
 */
export declare const tableModel: HTMLElementModel<'table', HTMLContentModel.block>;
export default TableRenderer;
